Bug 49356 - sfdisk reload partitions don't work
Summary: sfdisk reload partitions don't work
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-18 15:12 UTC by eric gerbier
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-19 11:18:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description eric gerbier 2001-07-18 15:12:28 UTC
Description of Problem:
I follow the man page to save and reload :
I save my partitions to a file with sfdisk -d
but I can't reload with a sfdisk < my_fic
the problem seem with units (it save in sectors, and it want to load
cylinders)
the -u option don't change anything (does it work ?) 

How Reproducible:
very easy

Steps to Reproduce:
1. sfdisk -d /dev/hda > /tmp/toto
2.  sfdisk /dev/hda < /tmp/toto
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 eric gerbier 2001-07-19 09:39:22 UTC
I just made some test, and I found that the program failed on the first line :
"N0 table de partition de /dev/hda"

The following commands works
sfdisk -uS -d  /dev/hda  > /tmp/hda
awk 'NR > 1' /tmp/hda | sfdisk -uS /dev/hda

So I have to change my locale to posix (I have LANG=fr_FR )
and it works well with the first line : it's a LANG problem !!!!



Comment 2 eric gerbier 2001-07-19 11:18:51 UTC
this is a translation problem (gettext) :
in french, the first line writed by sfdisk don't begin with a #


Note You need to log in before you can comment on or make changes to this bug.